%define commit 0e6d6e052ed23dc15d515bf662abc73f92d191ec

Name:          rkrlv2
Version:       git20210112
Release:       %mkrel 7
Summary:       Rakarrack effects ported to LV2 plugins
Group:         Sound/Midi
License:       GPLv2
URL:           https://github.com/ssj71/rkrlv2
Source0:       https://github.com/ssj71/rkrlv2/archive/%{name}-%{commit}.tar.gz
Patch0:        rkrlv2-cmake-4.0.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(fftw3)

Requires:       lv2

%description
This package is the rakarrack effects ported to LV2 plugins: Lineal EQ,
Compressor, Distortion, Echo, Chorus, Analog Phaser, Reverb, Parametric EQ,
Cabinet Emulation, AutoPan/Stereo Expander, Harmonizer, Musical Delay,
WahWah, AlienWah, Derelict, Valve, Dual Flange, Ring, Exciter, DistBand,
Arpie, Expander, Shuffle, Synthfilter, VaryBand, MuTroMojo, Echoverse,
CoilCrafter, ShelfBoost, Vocoder, Sustainer, Sequence, Shifter, StompBox,
Reverbtron, Echotron, StereoHarm, CompBand, Opticaltrem, Vibe, Infinity.

%prep
%autosetup -p1 -n %{name}-%{commit}

%ifarch %{arm} aarch64
sed -i -e '/CMAKE_CXX_FLAGS/s/-msse -msse2 -mfpmath=sse//' ./lv2/CMakeLists.txt
%endif

#fix libdir
sed -i -e 's/LV2_INSTALL_DIR lib\//LV2_INSTALL_DIR %{_lib}\//' lv2/CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README AUTHORS
%license COPYING
%{_libdir}/lv2/*
%{_datadir}/rkr.lv2/


%changelog
* Fri Jul 04 2025 daviddavid <daviddavid> git20210112-7.mga10
+ Revision: 2245003
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Dec 22 2022 philippedidier <philippedidier> git20210112-6.mga9
+ Revision: 1925843
- more recent commit from 2021 01 12

* Fri Apr 01 2022 umeabot <umeabot> git20171213-6.mga9
+ Revision: 1838437
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 daviddavid <daviddavid> git20171213-5.mga8
+ Revision: 1516824
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> git20171213-4.mga7
+ Revision: 1300835
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 wally <wally> git20171213-3.mga7
+ Revision: 1245651
- disable sse/sse2 on aarch64
- fix libdir on 64 bit arches

* Sat Feb 03 2018 semiletov <semiletov> git20171213-2.mga7
+ Revision: 1198723
- armv7hl possible fix

* Sat Feb 03 2018 semiletov <semiletov> git20171213-1.mga7
+ Revision: 1198711
- imported package rkrlv2

